EDIT - bug #8994

universal image viewer fails loading libs when clean urls is disabled
05/04/2020 03:23 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

e This url works: http://edit.test/d7/cyprus/cdm_dataportal/taxon/2e58b1ab-03a9-4693-bcec-3b8e7f04b572/images

o this fails: http:/edit.test/d7/cyprus/?g=cdm_dataportal/taxon/2e58b1ab-03a9-4693-bcec-3b8e7{04b572/images

Associated revisions

Revision 6¢1a6712 - 05/04/2020 03:56 PM - Andreas Kohlbecker

fix #8994 adapting universalviewer_path according to clean urls usage

History

#1 - 05/04/2020 03:27 PM - Andreas Kohlbecker

- Status changed from New to In Progress

with clean-urls = false, this file is found
http://edit.test/d7/cyprus/sites/cyprus/modules/cdm_dataportal/js/universalviewer/uv-config.json
this one is not:

http:/edit.test/sites/cyprus/modules/cdm_dataportal/js/universalviewer/uv/lib/uv-seadragon-extension.en-GB.config.json

problem:
the path prefix /d7/cyprus/ is missing
this url would have been correct:

http://edit.test/d7/cyprus/sites/cyprus/modules/cdm_dataportal/js/universalviewer/uv/lib/uv-seadragon-extension.en-GB.config.json

#2 - 05/04/2020 03:56 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|6c1a67120fd6c9fc5076137ff183a57f01e37827.

#3 - 05/04/2020 03:56 PM - Andreas Kohlbecker
- % Done changed from 50 to 0

check if it is also working on the test server

#4 - 06/09/2020 03:00 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

tested on the test server and no problems found.
